Problema con actualización de Kernel y Aceleración 3D

Imagen de Aigle
0 puntos

Hola buenas, tras un tiempo alejado del mundillo Linux, he vuelto testeando la Tribe4 de Gutsy. El caso es que por primera vez no he tenido problemas típicos de "Wifi y X(con nvidia)", todo a la primera.

Con el paso de las continuas actualizaciones me han surgido 2 problemas, que creo que vienen del mismo. El tema es que muchas veces los servidores de Gutsy se caen y quedan actualizaciones a medias que parece que pueden darte problemas y bueno al lio...

Cada vez que actualizo cualquier cosa (desintalo un paquete, actualizo con el gestor...) me salta el siguiente error:

<code>

E: linux-image-2.6.22-10-generic: el subproceso post-installation script devolvió el código de salida de error 2
E: linux-image-2.6.22-9-generic: el subproceso post-installation script devolvió el código de salida de error 2
E: linux-ubuntu-modules-2.6.22-10-generic: problemas de dependencias - se deja sin configurar
E: linux-ubuntu-modules-2.6.22-9-generic: problemas de dependencias - se deja sin configurar
E: linux-image-generic: problemas de dependencias - se deja sin configurar
E: linux-restricted-modules-2.6.22-10-generic: problemas de dependencias - se deja sin configurar
E: linux-restricted-modules-generic: problemas de dependencias - se deja sin configurar
E: nvidia-glx: problemas de dependencias - se deja sin configurarE: linux-image-2.6.22-10-generic: el subproceso post-installation script devolvió el código de salida de error 2
E: linux-image-2.6.22-9-generic: el subproceso post-installation script devolvió el código de salida de error 2
E: linux-ubuntu-modules-2.6.22-10-generic: problemas de dependencias - se deja sin configurar
E: linux-ubuntu-modules-2.6.22-9-generic: problemas de dependencias - se deja sin configurar
E: linux-image-generic: problemas de dependencias - se deja sin configurar
E: linux-restricted-modules-2.6.22-10-generic: problemas de dependencias - se deja sin configurar
E: linux-restricted-modules-generic: problemas de dependencias - se deja sin configurar
E: nvidia-glx: problemas de dependencias - se deja sin configurar

</code>

El terminal devuelve más info, pero no consigo copiarla...

La aceleración 3D tuve que desactivarla sustituyendo la linea del xorg.conf del driver de nvidia por el de Vesa, porque tras una actualización el entorno gráfico cascó y ahora no ai quien lo reactive, ni siquiera con el nuevo gestor "Screens & Graphics"...

De todas formas puedo pasar sin la aceleración, pero los fallos que reporto arriba parece que tienen que ver con el Kernel y me salen en CADA actualización, lo que me asusta un poco... ¿Qué puedo intentar?

Imagen de Zirco
+1
0
-1

Aigle, tengo exactamente esos mismos problemas que tu comentas, pero con la linux-image-2.6.14... Parece que es un tema de dependencias de los paquetes:

E: linux-image-2.6.22-14-386: el subproceso post-installation script devolvió el código de salida de error 2
E: linux-image-2.6.22-14-generic: el subproceso post-installation script devolvió el código de salida de error 2
E: linux-ubuntu-modules-2.6.22-14-generic: problemas de dependencias - se deja sin configurar
E: memtest86+: el subproceso post-installation script devolvió el código de salida de error 2
E: ubuntu-standard: problemas de dependencias - se deja sin configurar
E: linux-image-generic: problemas de dependencias - se deja sin configurar
E: linux-restricted-modules-2.6.22-14-generic: problemas de dependencias - se deja sin configurar

La cuestión es que no he encontrado ninguna solución y, viendo los posts donde se habla de reinstalar, creo que voy a acabar tirando por esa opción, a pesar de los puristas que afirman que eso nunca se debe hacer con un so linux.

Si encontraste la solución comentala por aquí, por favor.

+1
0
-1
Imagen de Aigle
+1
0
-1

Hola Zirco,
Yo hice algo parecido pero con matices. No recuenrdo muy bien, pero creo que el mismo día que postee esto salió la tribe 5 de Gutsy y ya de paso reinstalé desde cero (ya que no tenía mucho que perder)
Lo único que he hecho, ha sido tomar precauciones en las siguientes actualizaciones, te comento:- Evito que se instalen "Actualizaciones parciales", que a veces pasan cuando no se decargan todos los paquetes (hasa que no tengo todos no instalo)- En la herramienta "Origenes del software"(creo que se llama así xq ahora no toy delante de Ubuntu), en vez de elegir el servidor Español, tengo puesto el Principal (tb hay una herramienta ahí que mide cual es la conexión más fiable para tus fuentes, pero el que mejor resultado me ha dado es el Principal). Quizá ahora que Gutsy es "estable" podría cambiar al server español, que supongo le habrñan dado más capacidad, pero esq durante la beta era imposible actualizar en condiciones...
Espero haberte ayudado un poquito :-)

www.igle.wordpress.com

+1
0
-1